RHSA-2011:0154-01: Moderate: hplip security update
Posted on: 01/18/2011 09:42 AM

New hplib packages are available for RHEL 5 and 6

=====================================================================
Red Hat Security Advisory

Synopsis: Moderate: hplip security update
Advisory ID: RHSA-2011:0154-01
Product: Red Hat Enterprise Linux
Advisory URL: https://rhn.redhat.com/errata/RHSA-2011-0154.html
Issue date: 2011-01-17
CVE Names: CVE-2010-4267
=====================================================================

1. Summary:

Updated hplip packages that fix one security issue are now available for
Red Hat Enterprise Linux 5 and 6.

The Red Hat Security Response Team has rated this update as having moderate
security impact. A Common Vulnerability Scoring System (CVSS) base score,
which gives a detailed severity rating, is available from the CVE link in
the References section.

2. Relevant releases/architectures:

Red Hat Enterprise Linux (v. 5 server) - i386, ia64, ppc, x86_64
Red Hat Enterprise Linux Desktop (v. 5 client) - i386, x86_64
Red Hat Enterprise Linux Desktop (v. 6) - i386, x86_64
Red Hat Enterprise Linux Server (v. 6) - i386, ppc64, x86_64
Red Hat Enterprise Linux Workstation (v. 6) - i386, x86_64

3. Description:

Hewlett-Packard Linux Imaging and Printing (HPLIP) provides drivers for
Hewlett-Packard printers and multifunction peripherals, and tools for
installing, using, and configuring them.

A flaw was found in the way certain HPLIP tools discovered devices using
the SNMP protocol. If a user ran certain HPLIP tools that search for
supported devices using SNMP, and a malicious user is able to send
specially-crafted SNMP responses, it could cause those HPLIP tools to crash
or, possibly, execute arbitrary code with the privileges of the user
running them. (CVE-2010-4267)

Red Hat would like to thank Sebastian Krahmer of the SuSE Security Team for
reporting this issue.

Users of hplip should upgrade to these updated packages, which contain a
backported patch to correct this issue.

4. Solution:

Before applying this update, make sure all previously-released errata
relevant to your system have been applied.

This update is available via the Red Hat Network. Details on how to
use the Red Hat Network to apply this update are available at
http://kbase.redhat.com/faq/docs/DOC-11259

5. Bugs fixed (http://bugzilla.redhat.com/):

662740 - CVE-2010-4267 hplip: remote stack overflow vulnerability

6. Package List:

Red Hat Enterprise Linux Desktop (v. 5 client):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/5Client/en/os/SRPMS/hplip-1.6.7-6.el5_6.1.src.rpm

i386:
hpijs-1.6.7-6.el5_6.1.i386.rpm
hplip-1.6.7-6.el5_6.1.i386.rpm
hplip-debuginfo-1.6.7-6.el5_6.1.i386.rpm
libsane-hpaio-1.6.7-6.el5_6.1.i386.rpm

x86_64:
hpijs-1.6.7-6.el5_6.1.x86_64.rpm
hplip-1.6.7-6.el5_6.1.x86_64.rpm
hplip-debuginfo-1.6.7-6.el5_6.1.x86_64.rpm
libsane-hpaio-1.6.7-6.el5_6.1.x86_64.rpm

Red Hat Enterprise Linux (v. 5 server):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/5Server/en/os/SRPMS/hplip-1.6.7-6.el5_6.1.src.rpm

i386:
hpijs-1.6.7-6.el5_6.1.i386.rpm
hplip-1.6.7-6.el5_6.1.i386.rpm
hplip-debuginfo-1.6.7-6.el5_6.1.i386.rpm
libsane-hpaio-1.6.7-6.el5_6.1.i386.rpm

ia64:
hpijs-1.6.7-6.el5_6.1.ia64.rpm
hplip-1.6.7-6.el5_6.1.ia64.rpm
hplip-debuginfo-1.6.7-6.el5_6.1.ia64.rpm
libsane-hpaio-1.6.7-6.el5_6.1.ia64.rpm

ppc:
hpijs-1.6.7-6.el5_6.1.ppc.rpm
hplip-1.6.7-6.el5_6.1.ppc.rpm
hplip-debuginfo-1.6.7-6.el5_6.1.ppc.rpm
libsane-hpaio-1.6.7-6.el5_6.1.ppc.rpm

x86_64:
hpijs-1.6.7-6.el5_6.1.x86_64.rpm
hplip-1.6.7-6.el5_6.1.x86_64.rpm
hplip-debuginfo-1.6.7-6.el5_6.1.x86_64.rpm
libsane-hpaio-1.6.7-6.el5_6.1.x86_64.rpm

Red Hat Enterprise Linux Desktop (v. 6):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6Client/en/os/SRPMS/hplip-3.9.8-33.el6_0.1.src.rpm

i386:
hpijs-3.9.8-33.el6_0.1.i686.rpm
hplip-3.9.8-33.el6_0.1.i686.rpm
hplip-common-3.9.8-33.el6_0.1.i686.rpm
hplip-debuginfo-3.9.8-33.el6_0.1.i686.rpm
hplip-gui-3.9.8-33.el6_0.1.i686.rpm
hplip-libs-3.9.8-33.el6_0.1.i686.rpm
libsane-hpaio-3.9.8-33.el6_0.1.i686.rpm

x86_64:
hpijs-3.9.8-33.el6_0.1.x86_64.rpm
hplip-3.9.8-33.el6_0.1.x86_64.rpm
hplip-common-3.9.8-33.el6_0.1.x86_64.rpm
hplip-debuginfo-3.9.8-33.el6_0.1.i686.rpm
hplip-debuginfo-3.9.8-33.el6_0.1.x86_64.rpm
hplip-gui-3.9.8-33.el6_0.1.x86_64.rpm
hplip-libs-3.9.8-33.el6_0.1.i686.rpm
hplip-libs-3.9.8-33.el6_0.1.x86_64.rpm
libsane-hpaio-3.9.8-33.el6_0.1.x86_64.rpm

Red Hat Enterprise Linux Server (v. 6):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6Server/en/os/SRPMS/hplip-3.9.8-33.el6_0.1.src.rpm

i386:
hpijs-3.9.8-33.el6_0.1.i686.rpm
hplip-3.9.8-33.el6_0.1.i686.rpm
hplip-common-3.9.8-33.el6_0.1.i686.rpm
hplip-debuginfo-3.9.8-33.el6_0.1.i686.rpm
hplip-gui-3.9.8-33.el6_0.1.i686.rpm
hplip-libs-3.9.8-33.el6_0.1.i686.rpm
libsane-hpaio-3.9.8-33.el6_0.1.i686.rpm

ppc64:
hpijs-3.9.8-33.el6_0.1.ppc64.rpm
hplip-3.9.8-33.el6_0.1.ppc64.rpm
hplip-common-3.9.8-33.el6_0.1.ppc64.rpm
hplip-debuginfo-3.9.8-33.el6_0.1.ppc.rpm
hplip-debuginfo-3.9.8-33.el6_0.1.ppc64.rpm
hplip-gui-3.9.8-33.el6_0.1.ppc64.rpm
hplip-libs-3.9.8-33.el6_0.1.ppc.rpm
hplip-libs-3.9.8-33.el6_0.1.ppc64.rpm
libsane-hpaio-3.9.8-33.el6_0.1.ppc64.rpm

x86_64:
hpijs-3.9.8-33.el6_0.1.x86_64.rpm
hplip-3.9.8-33.el6_0.1.x86_64.rpm
hplip-common-3.9.8-33.el6_0.1.x86_64.rpm
hplip-debuginfo-3.9.8-33.el6_0.1.i686.rpm
hplip-debuginfo-3.9.8-33.el6_0.1.x86_64.rpm
hplip-gui-3.9.8-33.el6_0.1.x86_64.rpm
hplip-libs-3.9.8-33.el6_0.1.i686.rpm
hplip-libs-3.9.8-33.el6_0.1.x86_64.rpm
libsane-hpaio-3.9.8-33.el6_0.1.x86_64.rpm

Red Hat Enterprise Linux Workstation (v. 6):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6Workstation/en/os/SRPMS/hplip-3.9.8-33.el6_0.1.src.rpm

i386:
hpijs-3.9.8-33.el6_0.1.i686.rpm
hplip-3.9.8-33.el6_0.1.i686.rpm
hplip-common-3.9.8-33.el6_0.1.i686.rpm
hplip-debuginfo-3.9.8-33.el6_0.1.i686.rpm
hplip-gui-3.9.8-33.el6_0.1.i686.rpm
hplip-libs-3.9.8-33.el6_0.1.i686.rpm
libsane-hpaio-3.9.8-33.el6_0.1.i686.rpm

x86_64:
hpijs-3.9.8-33.el6_0.1.x86_64.rpm
hplip-3.9.8-33.el6_0.1.x86_64.rpm
hplip-common-3.9.8-33.el6_0.1.x86_64.rpm
hplip-debuginfo-3.9.8-33.el6_0.1.i686.rpm
hplip-debuginfo-3.9.8-33.el6_0.1.x86_64.rpm
hplip-gui-3.9.8-33.el6_0.1.x86_64.rpm
hplip-libs-3.9.8-33.el6_0.1.i686.rpm
hplip-libs-3.9.8-33.el6_0.1.x86_64.rpm
libsane-hpaio-3.9.8-33.el6_0.1.x86_64.rpm

These packages are GPG signed by Red Hat for security. Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/#package

7. References:

https://www.redhat.com/security/data/cve/CVE-2010-4267.html
https://access.redhat.com/security/updates/classification/#moderate

8. Contact:

The Red Hat security contact is . More contact
details at https://www.redhat.com/security/team/contact/

Copyright 2011 Red Hat, Inc.



Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/rhsa_20110154_01_moderate_hplip_security_update.html)